Ingest
Match an ingest item
Manually match one ingest item to a schema.
POST
/
api
/
v2
/
ingest
/
items
/
{item_id}
/
match
/
Pin or clear an item's schema match
curl --request POST \
--url https://api.example.com/api/v2/ingest/items/{item_id}/match/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"struct_slug": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/ingest/items/{item_id}/match/"
payload = { "struct_slug": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({struct_slug: '<string>'})
};
fetch('https://api.example.com/api/v2/ingest/items/{item_id}/match/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item_id": "<string>",
"state": "<string>",
"struct": {
"slug": "<string>",
"name": "<string>",
"version": 123
}
}{}{}{}{}{}Route one item to a participating schema (review-queue equivalent). Auth0 + allowlist. Filing bills
black_hole to the uploader, not the reviewer.Body
application/json
⌘I
Pin or clear an item's schema match
curl --request POST \
--url https://api.example.com/api/v2/ingest/items/{item_id}/match/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"struct_slug": "<string>"
}
'import requests
url = "https://api.example.com/api/v2/ingest/items/{item_id}/match/"
payload = { "struct_slug": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({struct_slug: '<string>'})
};
fetch('https://api.example.com/api/v2/ingest/items/{item_id}/match/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"item_id": "<string>",
"state": "<string>",
"struct": {
"slug": "<string>",
"name": "<string>",
"version": 123
}
}{}{}{}{}{}
